Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201357 - HPLIP IP ports have changed
Summary: HPLIP IP ports have changed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target 201360
TreeView+ depends on / blocked
 
Reported: 2006-08-04 15:55 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-22 14:15:35 UTC


Attachments (Terms of Use)
hplip-ports.patch (deleted)
2006-08-04 15:55 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2006-08-04 15:55:17 UTC
Description of problem:
HPLIP now has IANA-approved IP ports, and selinux-policy will need to allow
HPLIP to use them in addition to the ad-hoc ports it was using previously (50000
and 50002).

Old TCP ports
50000
50002

New IANA-approved TCP ports
2208
2207

Version-Release number of selected component (if applicable):
2.3.3-18

Attached is an untested patch that should do the trick.

Comment 1 Tim Waugh 2006-08-04 15:55:20 UTC
Created attachment 133643 [details]
hplip-ports.patch

Comment 2 Daniel Walsh 2006-08-04 22:49:33 UTC
Fixed in selinux-policy-2_3_4-1

Comment 3 Daniel Walsh 2007-08-22 14:15:35 UTC
Should be fixed in the current release



Note You need to log in before you can comment on or make changes to this bug.